'use strict';
'use babel';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.minifier = exports.compiler = undefined;
exports.process = process;

var _babelCore = require('babel-core');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const compiler = exports.compiler = true;
const minifier = exports.minifier = false;
function process(contents, _ref) {
  let rootDirectory = _ref.rootDirectory;
  let filePath = _ref.filePath;
  let config = _ref.config;

  const beginning = contents.substr(0, 11);
  if (beginning !== '"use babel"' && beginning !== "'use babel'") {
    return null;
  }

  const fileName = _path2.default.dirname(filePath);
  const relativePath = _path2.default.relative(rootDirectory, filePath);
  const transpiled = (0, _babelCore.transform)(contents, Object.assign({}, config.babel, {
    filename: fileName,
    filenameRelative: relativePath,
    sourceRoot: rootDirectory,
    sourceMaps: true,
    highlightCode: false
  }));
  return {
    contents: transpiled.code,
    sourceMap: transpiled.map
  };
}
